datacache <- new.env(hash=TRUE, parent=emptyenv())

mpedbarray_dbconn <- function() dbconn(datacache)
mpedbarray_dbfile <- function() dbfile(datacache)
mpedbarray_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mpedbarray_dbInfo <- function() dbInfo(datacache)

mpedbarrayORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mpedbarray.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RODENTCHIP_DB("mpedbarray", "chip mpedbarray", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mpedbarray_dbconn())
}

